<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 **/

namespace Federator\Cache;

/**
 * base class for remote authentication
 */
interface Cache extends \Federator\Connector\Connector
{
    /**
     * save remote user by given session
     * @param string $_session session id
     * @param string $_user user/profile name
     * @return \Federator\Data\User | null
     */
    public function saveRemoteUserBySession(string $_session, string $_user, \Federator\Data\User $user);
}
