<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch <grumpydevelop@contentnation.net>
 **/

namespace Federator\Cache;

/**
 * Caching class using redis
 */
class RedisCache implements Cache
{
    /** @var \Redis connection handle */
    private $redis;
  
    public function __construct()
    {
    }

    /**
     * get remote user by given session
     * @param string $_session session id
     * @param string $_user user/profile name
     * @return \Data\User | null
     */
    public function getRemoteUserBySession(string $_session, string $_user)
    {
    }

    public function saveRemoteUserBySession(string $_session, string $_user, \Federator\Data\User $user)
    {
    }
}

function dummy_rediscache(\Federator\Main $main)
{
    $rc = new RedisCache();
    $main->setCache($rc);
}
